<div>
    <h1>Combined Search</h1>
    Select Gender:
    <select [(ngModel)]="this.result.query.Gender">
        <option *ngFor="let item of this.result.gender" [ngValue]="item.id">{{item.name}}</option>
    </select>
    {{this.result.query.Gender}}

    Enter Your Name: <input type="text" [(ngModel)]="this.result.query.fullname">
    <button (click)="CombinedSearch()">Search</button>

    <table *ngIf="this.result.combined_search_data" mat-table [dataSource]="this.result.combined_search_data">
        <ng-container matColumnDef="Full_Name">
            <th mat-header-cell *matHeaderCellDef> Full_Name </th>
            <td mat-cell *matCellDef="let user"> {{user.fullname}} </td>
        </ng-container>
        <ng-container matColumnDef="Email ID">
            <th mat-header-cell *matHeaderCellDef> Email ID </th>
            <td mat-cell *matCellDef="let user"> {{user.email}} </td>
        </ng-container>
        <ng-container matColumnDef="Enrollment Number">
            <th mat-header-cell *matHeaderCellDef> Enrollment Number </th>
            <td mat-cell *matCellDef="let user"> {{user.rollno}} </td>
        </ng-container>
        <ng-container matColumnDef="Gender">
            <th mat-header-cell *matHeaderCellDef> Gender </th>
            <td mat-cell *matCellDef="let user"> {{user.Gender}} </td>
        </ng-container>
        <ng-container matColumnDef="Phone Number">
            <th mat-header-cell *matHeaderCellDef> Phone Number </th>
            <td mat-cell *matCellDef="let user"> {{user.phone_no}} </td>
        </ng-container>
        <tr mat-header-row *matHeaderRowDef="columnsToDisplay"></tr>
        <tr mat-row *matRowDef="let myRowData; columns: columnsToDisplay"></tr>
    </table>
</div>